
User Interface - Bug #2935

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

Active drop-down disables triggers and WAIT ... PAUSE

12/14/2015 03:59 PM - Igor Skornyakov
Description

History

#1 - 12/14/2015 04:06 PM - Igor Skornyakov

- File cb-active.p added

When the drop-down COMBO-BOX (DROP-DOWN and DROP-DOWN-LIST mode) is active then ON <key> ANYWHERE is not invoked and

WAIT-FOR ... PAUSE is never ended.

How to reproduce:

Run the attached program.

1. Activate drop-down for cb0! or @cb1 and press CTRL-W. With ABL the trigger will be invoked but with p2j it will not.

2. Press CTRL-W while drop down is not activated. After the next message will be emitted 5 seconds will be displayed activate drop-down within 5

seconds interval. With p2j the second message wait ended will never be shown.

#2 - 12/15/2015 08:39 AM - Igor Skornyakov

- Assignee set to Igor Skornyakov

#3 - 12/29/2015 05:58 AM - Igor Skornyakov

The first issue is fixed.

Committed to the task branch 2565a revno 10980.

#4 - 01/03/2016 01:12 PM - Igor Skornyakov

There is a problem with fixing the second issue. Both WAIT-FOR ENDKEY OF DEFAULT-WINDOW PAUSE 5. and activated COMBO-BOX end up

with the ThinClient.waitForEvent() method invoked from the main thread.It is unclear for me now how to deal with the issue in a single thread event

processing model.

#5 - 01/04/2016 10:00 AM - Igor Skornyakov

I was able to implement and test drop-down deactivation on the SET-WAIT-STATE with fixed first issue. May be it makes sense to postpone the

second one and finish the #2565 first?

Thank you.
#6 - 01/06/2016 10:33 AM - Greg Shah

May be it makes sense to postpone the second one and finish the #2565 first?

 

Yes.

#7 - 01/06/2016 10:34 AM - Igor Skornyakov

Greg Shah wrote:

May be it makes sense to postpone the second one and finish the #2565 first?

 

Yes.

 

Thank you Greg.

Files

cb-active.p 622 Bytes 12/14/2015 Igor Skornyakov
